update-inetd (4.48) unstable; urgency=medium

  * Add debconf translations:
    - Catalan (Guillem Jover).
  * Bump Standards-Version to 4.2.0 (no changes needed).
  * Turn the --group and --pattern usage with --add into a warning. While
    it is invalid usage, it does not deserve (yet) the unexpected breakage
    it is causing. Let's postpone erroring out for later. Closes: #909758

 -- Guillem Jover <guillem@debian.org>  Fri, 28 Sep 2018 10:12:53 +0200

update-inetd (4.47) unstable; urgency=medium

  * Print “error: ” after program name when emitting error messages from
    the DebianNet perl module.
  * Do not fail on missing inetd.conf, only warn on add or enable actions.
    When we are removing or disabling a service, a missing inetd.conf has the
    same effect we desired, so we should just not error out. When we are adding
    or enabling a service, a missing inetd.conf will mean the service will not
    get acted on. In most cases this will happen due to packages depending
    explicitly on updated-inetd instead of an inet-superserver, which is not
    the correct interface contract provided. But given the amount of packages
    currently breaking that contract, and that we should be switching to
    declarative inetd configuration soon enough, trying to fix this right
    now, seems counter productive. Closes: #905964
  * Test suite:
    - Make it possible to pass run options from update_inetd() function.
    - Move update-inetd command line definition inside update_inetd() function.

 -- Guillem Jover <guillem@debian.org>  Mon, 20 Aug 2018 20:21:09 +0200

update-inetd (4.46) unstable; urgency=medium

  * Switch git repository to permanent URL, containing all known history
    imported.
  * Add new CHANGES POD section in DebianNet module.
  * Move xinetd handling into DebianNet module.
  * Unify debug, warning and error output.
  * Check whether --group and --pattern is used with the correct commands.
    (Closes: #374542)
  * Improve --help output and man page documentation on commands, options,
    their arguments, and the order they are listed. (Closes: #311111)
  * Bump Standards-Version to 4.1.5 (no changes needed).
  * Code cleanup:
    - Declare all variables with our or my.
    - Use a typeglob instead of redefining fallback functions.
    - Modernize print calls, by removing parens, surrounding file handle
      with {}, and using low-precedence operators for die calls.
    - Do not import Debconf::Client::ConfModule module globally, which means
      we will stop getting annoying warnings when testing as non-root.
    - Switch from require to use.
    - Enable strict and warnings pragmas.
    - Get rid of an indentation level by folding an if into an elsif.
    - Do not interpolate string literals.
    - Use Carp instead of warn without newline for an internal error.
    - Convert a print STDERR into a printv.
    - Switch from print STDERR to warn.
    - Use braces around the filehande with print.
    - Make Heredoc terminator quoting style explicit.
    - Use a filehandle variables instead of a barewords.
    - Do not use the two-argument form of open.
    - Uppercase all package variables.
    - Check open() return value.
    - Use braces for regex delimiters.
    - Do not use unless with negative expressions.
    - Do not mix boolean operators of different precedence.
    - Remove useless topic variable usage.
    - Remove regex captures that are unused.
    - Use old decimal instead of dotted-decimal version.
    - Force a scalar context to fix perlcritic false positive.
    - Use List::Util instead of grep in boolean context.
    - Do not use & sigil for function calls.
    - Unpack arguments in printv().
    - Use m{} instead of m// to avoid having to escape /.
    - Stop requiring a newline for printv() calls.
    - Use proper balanced single quotes instead of unbalanced `' pairs.
    - Use low precedence or operators for die fallback call.
    - Use //= instead of "unless (defined $var) { $var = value }".
    - Switch statements to post-conditions.
    - Remove parenthesis for builtins.
    - Surround assignment operator with spaces.
    - Remove trailing semicolon after if block.
    - Bump minimum perl version to 5.010.
    - Prefix private functions with an underscore.
    - Add a space after «my» keywords.
    - Use foreach loops with explicit variables instead of while loops with
      the topic variable.
  * Test suite:
    - Add syntax and coding style unit tests.
    - Add new POD unit tests.

 -- Guillem Jover <guillem@debian.org>  Sat, 04 Aug 2018 15:55:57 +0200

update-inetd (4.45) unstable; urgency=medium

  * Adopt package. (Closes: #719794)
  * Update Vcs fields for move to git.hadrons.org.
  * Line wrap and sort dependency fields.
  * Remove versioned Build-Depends on Essential:yes coreutils, satisfied
    in oldstable.
  * Remove versioned Replaces/Breaks on netbase, satisfied in oldstable.
  * Fix debian/rules target relationship and dependencies.
  * Fix perl dependencies:
    - Remove bogus dependency on libfile-copy-recursive-perl, unused.
    - Remove dependency on libfile-temp-perl, a virtual provided by
      perl-base, which is Essential:yes.
    - Add a dependency on ${perl:Depends} and call dh_perl.
  * Namespace debhelper files with package name.
  * Move debhelper command arguments into debhelper files.
  * Bump debhelper to compatibility level 11.
  * Unify license and copyright file headers.
  * Switch debian/copyright to machine readable format.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Rewrite the test suite from python to perl.
  * Convert and merge the man page into inline POD in the perl module.
  * Convert update-inetd man page into POD.
  * Set Rules-Requires-Root to no.

 -- Guillem Jover <guillem@debian.org>  Mon, 14 May 2018 03:16:50 +0200

update-inetd (4.44) unstable; urgency=low

  * Orphan package.
  * Drop README, which points to long-deprecated DEP9 (Closes: #849457).
  * Bump up debhelper compatibility level to 9, and update versioned Build-Dep
    for debhelper.
  * Fix dh-clean-k-is-deprecated and vcs-field-not-canonical lintian warnings.
  * Bump up standards version to 3.9.8 (no changes).

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 15 Jan 2017 11:37:03 +0000

update-inetd (4.43) unstable; urgency=low

  * Add --pattern support for remove mode
  * Update manpage
    - Document support for --pattern and --multi in remove mode
    - Fix argument type for --remove (was documented as ENTRY, whereas it is
      SERVICE)
    - Add copyright notice for myself in manpage

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 03 Jun 2012 00:10:20 +0200

update-inetd (4.42) unstable; urgency=low

  * Declare as Multi-Arch: foreign; thanks to Goswin von Brederlow
    <goswin-v-b@web.de> (Closes: #673398).
  * Add Polish translation; thanks to Michał Kułach" <michalkulach@gmail.com>
    (Closes: #670646).
  * Bump Standards-Version to 3.9.3 (no changes)
  * Add copyright notices for myself in debian/copyright, update-inetd, and
    DebianNet.pm
  * Drop TODO file and add README file, which declares update-inetd as
    deprecated and points to reconf-inetd and DEP9

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 20 May 2012 16:24:48 +0200

update-inetd (4.41) unstable; urgency=low

  * Fall back to external 'tempfile' and 'mv' commands in case perl-base and
    perl-modules are out of sync during an upgrade (Closes: #649174;
    LP: #862129). Thanks to Colin Watson <cjwatson@ubuntu.com> for the bug
    report and patch.

 -- Serafeim Zanikolas <sez@debian.org>  Tue, 22 Nov 2011 23:15:02 +0100

update-inetd (4.40) unstable; urgency=low

  * Fix breakage with non-default inetd packages (Closes: #638180)
  * Add Slovak translation (thanks, Slavko <linux@slavino.sk>;
    Closes: #639449)

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 11 Sep 2011 19:03:14 +0200

update-inetd (4.39) unstable; urgency=low

  * Add Korean translation (thanks, Min-Ji Kang <justminji@gmail.com>;
    closes: #632020).
  * Thanks to Christian Perrier <bubulle@debian.org> for the NMU.
  * debian/rules: add build-arch and build-indep targets
  * Bump Standards-Version to 3.9.2
    - replace Conflicts, with Breaks and Replaces

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 07 Aug 2011 19:17:05 +0200

update-inetd (4.38+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix encoding of Danish debconf translation.

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 Jan 2011 07:43:19 +0100

update-inetd (4.38) unstable; urgency=low

  * debconf template translations:
    - Update Danish (thanks, Joe Dalton; closes: #599451).

 -- Serafeim Zanikolas <sez@debian.org>  Sun, 17 Oct 2010 00:05:34 +0200

update-inetd (4.37) unstable; urgency=low

  * Workaround debconf hanging by closing fd 3 in invoke-rc.d
    invocation (Closes: #589487). Thanks to Ben Hutchings
    <ben@decadent.org.uk>
  * Bump Standards-Version to 3.9.1 (no changes)
  * debian/control:Maintainer: set to my debian email address

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 09 Aug 2010 11:12:00 +0200

update-inetd (4.36) unstable; urgency=low

  * Remove "there are plans to support xinetd" from long description (see
    message #116 in bug report #8927)
  * Trim bug report list, and point to proposal for re-design of update-inetd
    in TODO file
  * Bump Standards-Version to 3.8.4 (no changes)
  * Switch dpkg-source format to 3.0 (native)
  * Fix lintian warning (spelling-error-in-manpage)

 -- Serafeim Zanikolas <serzan@hellug.gr>  Sat, 13 Feb 2010 18:50:20 +0100

update-inetd (4.35) unstable; urgency=low

  * Add missing dependencies on libfile-temp-perl (which, is provided by the
    confusingly Build-Essential but not Essential perl-modules package) and
    libfile-copy-recursive-perl (Closes: #548164).
  * Do not install /etc/inetd.conf.d/ until a consensus is reached on how to
    improve update-inetd

 -- Serafeim Zanikolas <serzan@hellug.gr>  Sun, 27 Sep 2009 12:15:15 +0200

update-inetd (4.34) unstable; urgency=low

  * In tests.py, check only atime, mtime, and file size (Closes: #546782)
  * Add tests to ensure that inetd is notified only when inetd.conf is
    actually changed by update-inetd
  * When xinetd is installed, ensure update-inetd always restarts it
    (regardless of whether there are any configuration changes, since
    update-inetd cannot tell that anyway)

 -- Serafeim Zanikolas <serzan@hellug.gr>  Sun, 20 Sep 2009 16:51:37 +0200

update-inetd (4.33) unstable; urgency=low

  * Do not assume that /tmp is in the same partition as /etc (Closes: #544841)
  * Reduce package priority from important to optional

 -- Serafeim Zanikolas <serzan@hellug.gr>  Thu, 03 Sep 2009 22:12:09 +0200

update-inetd (4.32) unstable; urgency=low

  * New maintainer (Closes: #472470)
  * Install /etc/inetd.conf.d/, to be eventually populated with xinetd
    fragments from daemon packages that rely on inetd
  * Update long description to note that xinetd is currently not supported
  * Add tests.py to test most common use cases
  * Depend on ${misc:Depends}, and Build-Depend-Indep on python and coreutils
    (for test cases)
  * Bump Standards-Version to 3.8.3 (check for nocheck in DEB_BUILD_OPTIONS)
  * Fix mixed-space indentation to improve readability
  * Fix removal of disabled services (Closes: 510406)
  * Document in update-inetd(8) and in the command-line help that users
    disabling a service with update-inetd must use --comment-chars '#' to
    ensure that the setting survives package upgrades (Closes: #24543). Add
    clarifications to update-inetd(8) about the significance and proper use of
    --comment-chars.
  * Do not run itox; point to its manpage instead (Closes: #525828, #525185)
  * Make sure to start inetd (as opposed to restart or force-reload) when
    update-inetd is asked to add or enable a service that happens to be the
    only one being enabled. Thanks to Jonathan Hall <jonh@nmgi.com> for
    the patch (Closes: #512105)
  * Add more diagnostic messages for --verbose (Closes: #131889)
  * Do not touch /etc/inetd.conf or bother inetd unless the configuration file
    is actually changed. Thanks to Jason Cormie
    <jason@wormwood666.demon.co.uk> for the patch (Closes: #63504)
  * Revise the message displayed to xinetd users to not suggest that an entry
    has been added to /etc/inetd.conf, at a point when it is not yet clear
    whether that will indeed be the case. Also, when an --add request is
    not acted upon (because it refers to a commented-out entry), display a
    message in standard error (Closes: #409129)
  * Fix typo in update-inetd(8) (Closes: #510557) and
    hyphen-used-as-minus-sign lintian warnings
  * Add lintian override for unused-debconf-template
  * Add Vcs-* fields in debian/control

 -- Serafeim Zanikolas <serzan@hellug.gr>  Mon, 31 Aug 2009 22:47:21 +0200

update-inetd (4.31) unstable; urgency=low

  * Depend on debconf again and try to do it properly now:

  [ Christian Perrier ]
  - Reintroduce debconf templates I abusively and mistakenly removed.
  - As a consequence, also update translations I closed in former NMU:
    Spanish, Brazilian Portuguese, Swedish, Turkish, Romanian, Italian

  [ Luk Claes ]
  - Avoid output to stdout.
  - Install lintian override to avoid getting on the wrong list :-)

 -- Luk Claes <luk@debian.org>  Thu, 04 Sep 2008 20:58:20 +0200

update-inetd (4.30+nmu1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Drop unused debconf templates with apologies to translators
    whose work I'll waste.
    Closes: #481659, #483621, #484240, #491206, #491824, #492575

 -- Christian Perrier <bubulle@debian.org>  Sat, 12 Jul 2008 19:41:55 +0200

update-inetd (4.30) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #466760
  * [Debconf translation updates]
  * Basque. Closes: #467424
  * Galician. Closes: #467484
  * Dutch. Closes: #468303

  * Vietnamese. Closes: #468478

  * Czech. Closes: #468909
  * Portuguese. Closes: #469355
  * French. Closes: #469672
  * German. Closes: #465777
  * Russian. Closes: #470101
  * Finnish. Closes: #470592
  * Japanese. Closes: #470596

  [ Luk Claes ]
  * Upload to unstable.
  * Don't output text on stdout (Closes: #467002).

 -- Luk Claes <luk@debian.org>  Fri, 14 Mar 2008 18:51:04 +0100

update-inetd (4.29) unstable; urgency=low

  * Fix syntax error (Closes: #464075).

 -- Luk Claes <luk@debian.org>  Tue, 05 Feb 2008 07:49:45 +0100

update-inetd (4.28) unstable; urgency=low

  * Taking over the package.
  * Fix some DebianNet.pm issues (Closes: #296795).
  * Use boolean template and po-debconf (Closes: #402313).
  * Fix spelling error in manpage (Closes: #335332).
  * Add title to debconf questions (Closes: #402424).

 -- Luk Claes <luk@debian.org>  Mon, 04 Feb 2008 16:27:24 +0100

update-inetd (4.27-0.6) unstable; urgency=low

  * Non-maintainer upload.
  * cdebconf transition: allow the dependency on debconf to be satisfied with
    an alternate of debconf-2.0 (Closes: #415685).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Tue, 21 Aug 2007 00:23:20 +0200

update-inetd (4.27-0.5) unstable; urgency=low

  * Non-maintainer upload.
  * When called with --disable or --remove, call invoke-rc.d $inetd
    force-reload instead of restart -- if inetd isn't running, there's no
    reason that we should be restarting it in the process of *removing*
    services from inetd.conf.  Closes: #414485.

 -- Steve Langasek <vorlon@debian.org>  Sun, 11 Mar 2007 17:52:56 -0700

update-inetd (4.27-0.4) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Suppress unexpected output from invoke-rc.d, which may break postinst
    scripts calling update-inetd while using debconf.  Closes: #411911.

 -- Steve Langasek <vorlon@debian.org>  Wed, 21 Feb 2007 12:36:50 -0800

update-inetd (4.27-0.3) unstable; urgency=low

  * Non-maintainer upload
  * Change maintainer to Marco d'Itri exclusively.
  * Restart inetd if inetd doesn't seem to be running (no inetd.pid file).
    Thanks to Roland Stigge for the patch. (Closes: Bug#399788)

 -- Anthony Towns <aj@azure.humbug.org.au>  Sat, 10 Feb 2007 14:06:19 +1000

update-inetd (4.27-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Fixes bashism in postinst (Closes: #398230)

 -- Roland Stigge <stigge@antcom.de>  Sun, 12 Nov 2006 18:57:58 +0100

update-inetd (4.27-0.1) unstable; urgency=low

  * Non-maintainer upload
  * Changes interactive configuration acknowledgements to debconf questions
    (Closes: #282147)

 -- Roland Stigge <stigge@antcom.de>  Sun, 12 Nov 2006 13:30:32 +0100

update-inetd (4.27) unstable; urgency=low

  * First upload.
    The package has been split from netbase with no changes.
  * Priority changed from important to standard.

 -- Marco d'Itri <md@linux.it>  Sun, 10 Sep 2006 12:24:27 +0200
